//+------------------------------------------------------------------+
//|                                              MA_of_SMA_ANGLE.mq4 |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
extern int       MA_Period=21;
extern int SMAPeriod=50;
extern double AngleTreshold=0.22;
extern int StartSMAShift=2;
extern int EndSMAShift=0;


double ExtMapBuffer1[];
double ExtMapBuffer[500000];
int init()
  {
   ArraySetAsSeries(ExtMapBuffer,true);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   return(0);
  }
  
int deinit(){return(0);}
int start()
  {
   for (int i=Bars;i>=0;i--){
      ExtMapBuffer[i]=iCustom(Symbol(),0,"SMAAngle",SMAPeriod,AngleTreshold,StartSMAShift,EndSMAShift,0,i);
   }
   
   for (i=Bars-MA_Period;i>=0;i--){
      ExtMapBuffer1[i]=iMAOnArray(ExtMapBuffer,0,MA_Period,0,MODE_EMA,i);
   }
   
   return(0);
  }

